geos::geomgraph::Depth Class Reference

A Depth object records the topological depth of the sides of an Edge for up to two Geometries. More...

`#include <Depth.h>`

## Public Member Functions

int | getDepth (int geomIndex, int posIndex) const
void | setDepth (int geomIndex, int posIndex, int depthValue)
geom::Location | getLocation (int geomIndex, int posIndex) const
void | add (int geomIndex, int posIndex, geom::Location location)
bool | isNull () const
bool | isNull (uint8_t geomIndex) const
bool | isNull (uint8_t geomIndex, uint8_t posIndex) const
int | getDelta (int geomIndex) const
void | normalize ()
void | add (const Label &lbl)
std::string | toString () const

## Static Public Member Functions

static int | depthAtLocation (geom::Location location)

## Detailed Description

A Depth object records the topological depth of the sides of an Edge for up to two Geometries.

## Member Function Documentation

## isNull()

bool geos::geomgraph::Depth::isNull | ( |  | ) | const

inline

A Depth object is null (has never been initialized) if all depths are null.

The documentation for this class was generated from the following file:

- Depth.h